Subject: bug#751 closed by Mark Hindley <[email-masked]> (Fixed in Debian #1034054)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Thu, 04 May 2023 14:32:18 +0000

This is an automatic notification regarding your bug report
which was filed against the fvwm package:

#751: xserver-xorg-core 21.1.7-1: I can reliably kill the server after some clicks in the root window.

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
746: https://bugs.devuan.org/cgi/bugreport.cgi?bug=746
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Fixed in Debian #1034054
From: Mark Hindley <[email-masked]>
To: [email-masked]
Date: Thu, 4 May 2023 15:28:52 +0100

Version: 1:2.7.0-2

Subject: xserver-xorg-core 21.1.7-1: I can reliably kill the server after some clicks in the root window.
From: Stefan Schippers <[email-masked]>
To: [email-masked]
Date: Tue, 14 Mar 2023 14:54:38 +0100

Package: xserver-xorg-core

Hi, I am using Devuan testing (Daedalus)
After an update to 21.1.7-1 the xserver crashes at random, i can crash it by some mouse clicks (minimize windows, resize windows).
I think this is somewhat related to [devuan-dev] bug#742.
My  /lib/x86_64-linux-gnu/libsystemd.so.0 points correctly to libelogind.so.0, so the fix in #742 does not apply to me.
Crash does not depend on graphic device, it crashes also with non accelerated fbdev device.
Tried to set backend to logind  with: export LIBSEAT_BACKEND=logind,
no change. I can kill the xorg server after some mouse clicks in the root window.
I am not using a desktop environment, just login to console then startx to run the xserver. I use fvwm as window manager.
this is the console text when the server crahes with seatd:

schippes@asus:~$ export LIBSEAT_BACKEND=seatd
schippes@asus:~$ startx

X.Org X Server 1.21.1.7
X Protocol Version 11, Revision 0
Current Operating System: Linux asus 6.1.0-6-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.15-1 (2023-03-05) x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-6.1.0-6-amd64 root=/dev/sda3 ro quiet apparmor=0
xorg-server 2:21.1.7-1devuan2 (https://www.devuan.org/os/community)
Current version of pixman: 0.42.2
          Before reporting problems, check http://wiki.x.org
          to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
          (++) from command line, (!!) notice, (II) informational,
          (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/home/schippes/.local/share/xorg/Xorg.0.log", Time: Tue Mar 14 13:43:00 2023
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
on to ':0' broken, unable to recover, exiting.(II) Server terminated successfully (0). Closing log file.X connection to ':0' broken, unable to recover, exiting.urxvt: X connection to ':0' broken, unable to recover, exiting.urxvt: X connecti

this is the console text when using logind:

schippes@asus:~$ export LIBSEAT_BACKEND=logind
schippes@asus:~$ startx

X.Org X Server 1.21.1.7
X Protocol Version 11, Revision 0
Current Operating System: Linux asus 6.1.0-6-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.15-1 (2023-03-05) x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-6.1.0-6-amd64 root=/dev/sda3 ro quiet apparmor=0
xorg-server 2:21.1.7-1devuan2 (https://www.devuan.org/os/community)
Current version of pixman: 0.42.2
          Before reporting problems, check http://wiki.x.org
          to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
          (++) from command line, (!!) notice, (II) informational,
          (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/home/schippes/.local/share/xorg/Xorg.0.log", Time: Tue Mar 14 13:43:54 2023
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
ice: Interrupted system call(EE) [libseat/backend/logind.c:199] Could not close device: Interrupted system call(II) Server terminated successfully (0). Closing log file.d not stat fd 48(EE) [libseat/backend/logind.c:199] Could not close dev

Attached the xorg logs in both cases:
I have never had xorg crashes for decades on any system, so I think this is critical.
I have reinstalled all xorg libraries and packages, and various libs. No change.
Can I install the previous xorg version?

Thank you

Stefan